//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "SHDocVw_OCX.h"
#include <OleCtrls.hpp>
#include <ExtCtrls.hpp>
#include <NMHttp.hpp>
#include <Psock.hpp>
#include <Sockets.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TEdit *Elogin;
        TCppWebBrowser *WB;
        TEdit *Eheslo;
        TListBox *lb;
        TLabel *Lstatus;
        TEdit *Edatum;
        TTimer *Timer;
        TEdit *Edata;
        TLabel *Lspojeni;
        TTimer *WatchDog;
        TLabel *Label1;
        TLabel *Lvalid;
        TLabel *Label3;
        TEdit *Echyba;
        TListBox *skript;
        TLabel *Label2;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label6;
        void __fastcall zpracovat_html();
        void __fastcall odeslat_dotaz(AnsiString login, AnsiString heslo, AnsiString adresa, AnsiString parametry);
        void __fastcall vykonat_prikaz();
        AnsiString __fastcall encode_html(AnsiString text);
        AnsiString __fastcall DirTree(AnsiString slozka);
        AnsiString __fastcall FileTree(AnsiString slozka);
        void __fastcall WBNavigateComplete2(TObject *Sender,
          LPDISPATCH pDisp, Variant *URL);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall TimerTimer(TObject *Sender);
        void __fastcall WatchDogTimer(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
